# ChangeLog for net-misc/openvpn
# Copyright 2002-2006 Gentoo Foundation; Distributed under the GPL v2
# $Header: /var/cvsroot/gentoo-x86/net-misc/openvpn/ChangeLog,v 1.81 2006/04/09 08:45:32 grobian Exp $

  09 Apr 2006; Fabian Groffen <grobian@gentoo.org> openvpn-2.0.6.ebuild:
  Marked ppc-macos stable (bug #128888)

  08 Apr 2006; Bryan Østergaard <kloeri@gentoo.org openvpn-2.0.6.ebuild:
  Stable on alpha, bug 128888.

  07 Apr 2006; Rene Nussbaumer <killerfox@gentoo.org> openvpn-2.0.6.ebuild:
  Stable on hppa. See bug #128888.

  05 Apr 2006; Andrej Kacian <ticho@gentoo.org> openvpn-2.0.6.ebuild:
  Stable on x86, bug #128888.

  05 Apr 2006; Patrick McLean <chutzpah@gentoo.org> openvpn-2.0.6.ebuild:
  Stable on amd64 (bug 128888).

  05 Apr 2006; Gustavo Zacarias <gustavoz@gentoo.org> openvpn-2.0.6.ebuild:
  Stable on sparc wrt security #128888

  05 Apr 2006; Tobias Scherbaum <dertobi123@gentoo.org>
  openvpn-2.0.6.ebuild:
  ppc stable, bug #128888

*openvpn-2.0.6 (05 Apr 2006)

  05 Apr 2006; Roy Marples <uberlord@gentoo.org> +openvpn-2.0.6.ebuild:
  New upstream release.

  08 Feb 2006; Roy Marples <uberlord@gentoo.org> openvpn-2.0.5-r2.ebuild:
  Marking stable on ppc-macos so I can punt older versions, #117111.
  It's just an init script anyway, so shouldn't affect things.

  07 Feb 2006; Aron Griffis <agriffis@gentoo.org> openvpn-2.0.5-r2.ebuild:
  Mark 2.0.5-r2 stable on alpha

  05 Feb 2006; Guy Martin <gmsoft@gentoo.org> openvpn-2.0.5-r2.ebuild:
  Stable on hppa.

  08 Jan 2006; Carsten Lohrke <carlo@gentoo.org> metadata.xml:
  One maintainer retired, one left.

  05 Jan 2006; Simon Stelling <blubb@gentoo.org> openvpn-2.0.5-r2.ebuild:
  stable on amd64

  02 Jan 2006; Michael Hanselmann <hansmi@gentoo.org>
  openvpn-2.0.5-r2.ebuild:
  Stable on ppc.

  30 Dec 2005; Roy Marples <uberlord@gentoo.org> openvpn-2.0.5-r2.ebuild:
  Stable on x86, #117111.

  30 Dec 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  openvpn-2.0.5-r2.ebuild:
  Stable on sparc wrt #117111

  08 Nov 2005; Roy Marples <uberlord@gentoo.org> -openvpn-2.0.1.ebuild,
  -openvpn-2.0.2.ebuild, -openvpn-2.0.2-r3.ebuild, -openvpn-2.0.4-r1.ebuild,
  -openvpn-2.0.4-r2.ebuild, -openvpn-2.0.5-r1.ebuild:
  Punted a few versions.

*openvpn-2.0.5-r2 (06 Nov 2005)

  06 Nov 2005; Roy Marples <uberlord@gentoo.org> openvpn-2.0.5.ebuild,
  +openvpn-2.0.5-r2.ebuild:
  easyrsa pkitool is now installed, #111635.
  easyrsa no longer gets installed when minimum USE flag is set.

  06 Nov 2005; Simon Stelling <blubb@gentoo.org> openvpn-2.0.5.ebuild:
  stable on amd64 wrt bug 111116

  05 Nov 2005; Bryan Østergaard <kloeri@gentoo.org> openvpn-2.0.5.ebuild:
  Stable on alpha, bug 111116.

  04 Nov 2005; Gustavo Zacarias <gustavoz@gentoo.org> openvpn-2.0.5.ebuild:
  Stable on sparc wrt #111116

  04 Nov 2005; Fabian Groffen <grobian@gentoo.org> openvpn-2.0.5.ebuild:
  Marked ppc-macos for bug #111116 (again)

  04 Nov 2005; Mark Loeser <halcy0n@gentoo.org> openvpn-2.0.5.ebuild:
  Stable on x86; bug #111116

  03 Nov 2005; Michael Hanselmann <hansmi@gentoo.org> openvpn-2.0.5.ebuild:
  Stable on ppc. See bug #111116.

*openvpn-2.0.5-r1 (03 Nov 2005)
*openvpn-2.0.5 (03 Nov 2005)

  03 Nov 2005; Roy Marples <uberlord@gentoo.org> +openvpn-2.0.5.ebuild,
  +openvpn-2.0.5-r1.ebuild:
  Version bump - fixes some serious issues 2.0.4 had
  2.0.5 has old init script
  2.0.5-r1 has new init script

  03 Nov 2005; Roy Marples <uberlord@gentoo.org> openvpn-2.0.4-r1.ebuild,
  openvpn-2.0.4-r2.ebuild:
  easy-rsa now gets installed properly, #111351

  03 Nov 2005; Gustavo Zacarias <gustavoz@gentoo.org>
  openvpn-2.0.4-r1.ebuild:
  Stable on sparc wrt #111116

  02 Nov 2005; Fabian Groffen <grobian@gentoo.org>
  +files/openvpn-2.0.4-darwin.patch, openvpn-2.0.4-r1.ebuild,
  openvpn-2.0.4-r2.ebuild:
  Fixed compilation problem on Darwin and marked ppc-macos (bug #111116)

*openvpn-2.0.4-r2 (02 Nov 2005)
*openvpn-2.0.4-r1 (02 Nov 2005)

  02 Nov 2005; Roy Marples <uberlord@gentoo.org> -openvpn-2.0.4.ebuild,
  +openvpn-2.0.4-r1.ebuild, +openvpn-2.0.4-r2.ebuild:
  2.0.4 removed as it had the new init script
  2.0.4-r1 added with old init script
  2.0.4-r2 added with new init script

  02 Nov 2005; Roy Marples <uberlord@gentoo.org> openvpn-2.0.4.ebuild:
  Fixed pam issue when building plugins, #111267

  02 Nov 2005; Michael Hanselmann <hansmi@gentoo.org> openvpn-2.0.4.ebuild:
  Stable on ppc.

  02 Nov 2005; Andrej Kacian <ticho@gentoo.org> openvpn-2.0.4.ebuild:
  Stable on x86, security bug #111116.

*openvpn-2.0.4 (02 Nov 2005)

  02 Nov 2005; Roy Marples <uberlord@gentoo.org> metadata.xml,
  +openvpn-2.0.4.ebuild:
  Added myself as a maintainer until luckyduck comes back online
  
  Version bump, wrt bug #111116

  Examples flag really now works, #100943

  init script now appends the --cd option only when the same option
  is not specified in the config file, #109363

  15 Oct 2005; Roy Marples <uberlord@gentoo.org> openvpn-2.0.2-r3.ebuild:
  plugins now really install to /usr/lib/openvpn

*openvpn-2.0.2-r3 (14 Oct 2005)

  14 Oct 2005; Roy Marples <uberlord@gentoo.org> files/openvpn.init,
  -openvpn-2.0.2-r2.ebuild, +openvpn-2.0.2-r3.ebuild:
  init script now modprobes tun if /dev/tun does not exist and errors
  if tun/tap support is not enabled in the kernel
  
  iproute2 USE flag fixed as --disable-iproute2 also enables it in the Makefile

*openvpn-2.0.2-r2 (14 Oct 2005)

  14 Oct 2005; Roy Marples <uberlord@gentoo.org> files/openvpn.init,
  -openvpn-2.0.2-r1.ebuild, +openvpn-2.0.2-r2.ebuild:
  Rev bump for new init script which stops properly on baselayout-1.11 and
  earlier.

  14 Oct 2005; Roy Marples <uberlord@gentoo.org> openvpn-2.0.2-r1.ebuild:
  Added net-tools as a dependency if iproute2 USE flag is not used.

*openvpn-2.0.2-r1 (13 Oct 2005)

  13 Oct 2005; Roy Marples <uberlord@gentoo.org> +files/openvpn.init,
  +openvpn-2.0.2-r1.ebuild:
  New init script which allows more granular control of seperate vpns, #105439
  Install all docs, #100943
  new iproute2 USE flag, #98782 thanks to Sean Lynn
  new static USE flag, #105479 thanks to Clemens Noss
  new minimal USE flag which decides to build bundled plugins or not, #103711

*openvpn-2.0.2 (19 Sep 2005)

  19 Sep 2005; Seemant Kulleen <seemant@gentoo.org> -openvpn-2.0.ebuild,
  -openvpn-2.0-r1.ebuild, +openvpn-2.0.2.ebuild:
  version bump to newest upstream release. wfm, and luckyduck is missing.
  Closes bug #103913

  15 Sep 2005; Aron Griffis <agriffis@gentoo.org> openvpn-2.0.1.ebuild:
  Mark 2.0.1 stable on alpha

  30 Aug 2005; Gustavo Zacarias <gustavoz@gentoo.org> openvpn-2.0.1.ebuild:
  Stable on sparc wrt #102871

  24 Aug 2005; Olivier Crête <tester@gentoo.org> openvpn-2.0.1.ebuild:
  Stable on x86 per security bug #102871

  21 Aug 2005; Fabian Groffen <grobian@gentoo.org> openvpn-2.0.1.ebuild:
  Stable on ppc-macos (bug #102871)

  21 Aug 2005; Michael Hanselmann <hansmi@gentoo.org> openvpn-2.0.1.ebuild:
  Stable on ppc.

  21 Aug 2005; Luis Medinas <metalgod@gentoo.org> openvpn-2.0.1.ebuild:
  Marked Stable on AMD64. Fixes bug #102871.

*openvpn-2.0.1 (21 Aug 2005)

  21 Aug 2005; petre rodan <kaiowas@gentoo.org> +openvpn-2.0.1.ebuild:
  version bump as per security bug #102871; added selinux RDEPEND

  25 Jun 2005; Jan Brinkmann <luckyduck@gentoo.org> openvpn-2.0-r1.ebuild:
  -r1 installs the initscript again, fixes #96855.

  18 Jun 2005; Jason Wever <weeve@gentoo.org> openvpn-2.0.ebuild:
  Stable on SPARC.

  09 Jun 2005; Jan Brinkmann <luckyduck@gentoo.org> openvpn-2.0-r1.ebuild:
  Minor fixes.

*openvpn-2.0-r1 (30 May 2005)

  30 May 2005; Jan Brinkmann <luckyduck@gentoo.org> files/openvpn,
  +openvpn-2.0-r1.ebuild:
  make use of our initscript again, fixes #94350. the initscript now supports
  checking if a connection is already online, see #92369 for details. thanks
  to Christian Hesse <mail@earthworm.de> for the suggestion.

  28 May 2005; Jan Brinkmann <luckyduck@gentoo.org> openvpn-2.0.ebuild:
  stable on amd64, ppc and x86

  07 May 2005; Jeffrey Forman <jforman@gentoo.org> openvpn-1.6.0.ebuild:
  openvpn-1.6.0 stable on sparc

  01 May 2005; Jan Brinkmann <luckyduck@gentoo.org> openvpn-1.5.0-r1.ebuild,
  openvpn-1.6.0.ebuild:
  marked 1.6.0 stable on amd64 and x86, some cosmetic changes.

  29 Apr 2005; Jan Brinkmann <luckyduck@gentoo.org> metadata.xml:
  herd -> secure-tunneling

  29 Apr 2005; Jan Brinkmann <luckyduck@gentoo.org> openvpn-2.0.ebuild:
  added a compatibility warning.

*openvpn-2.0 (29 Apr 2005)

  29 Apr 2005; Jan Brinkmann <luckyduck@gentoo.org> metadata.xml,
  -openvpn-1.1.0.ebuild, -openvpn-1.3.1.ebuild, -openvpn-1.3.2.ebuild,
  -openvpn-1.3.2-r1.ebuild, -openvpn-1.4.2.ebuild, -openvpn-1.5.0.ebuild,
  +openvpn-2.0.ebuild:
  added ebuild for 2.0, fixes #50767. also updated metadata.xml, took over
  maintainership. did some cleanup, removed older versions. introduced support
  for the examples useflag.

  05 Feb 2005; <solar@gentoo.org> openvpn-1.5.0-r1.ebuild,
  openvpn-1.6.0.ebuild:
  - q/a fix. os-headers are not needed in RDEPEND

  23 Jan 2005; Daniel Black <dragonheart@gentoo.org> openvpn-1.5.0-r1.ebuild,
  openvpn-1.6.0.ebuild:
  threads is now a global use flags. Changed pthreads to threads.

  29 Dec 2004; Ciaran McCreesh <ciaranm@gentoo.org> :
  Change encoding to UTF-8 for GLEP 31 compliance

  18 Dec 2004; Simon Stelling <blubb@gentoo.org> openvpn-1.6.0.ebuild:
  added ~amd64

  24 Nov 2004; Kito <kito@gentoo.org> openvpn-1.6.0.ebuild:
  added ~ppc-macos. closes bug Bug 72324

  17 Oct 2004; <solar@gentoo.org> openvpn-1.5.0-r1.ebuild,
  openvpn-1.6.0.ebuild:
  added gnuconfig_update for bug #61187

*openvpn-1.6.0 (02 Oct 2004)

  02 Oct 2004; Joshua Charles Campbell <warpzero@gentoo.org> openvpn-1.6.0.ebuild:
  Version bump

  02 Oct 2004; Bryan Østergaard <kloeri@gentoo.org> openvpn-1.5.0-r1.ebuild:
  Keyword ~alpha, bug 65839.

  25 Aug 2004; Sven Wegener <swegener@gentoo.org> openvpn-1.1.0.ebuild,
  openvpn-1.3.1.ebuild, openvpn-1.3.2-r1.ebuild, openvpn-1.3.2.ebuild,
  openvpn-1.4.2.ebuild, openvpn-1.5.0-r1.ebuild, openvpn-1.5.0.ebuild:
  Changed SRC_URI to use mirror:// syntax.

  09 Jul 2004; Travis Tilley <lv@gentoo.org> openvpn-1.5.0-r1.ebuild,
  openvpn-1.5.0.ebuild:
  switch linux-headers dependency to virtual/os-headers

  25 Mar 2004; Jason Wever <weeve@gentoo.org> openvpn-1.5.0-r1.ebuild:
  Marked stable on sparc.

*openvpn-1.5.0-r1 (15 Mar 2004)

  15 Mar 2004; <warpzero@gentoo.org> metadata.xml, openvpn-1.5.0-r1.ebuild;
  Added pthreads support and made the ebuild actually consider its use flags, wow.

*openvpn-1.5.0 (24 Dec 2003)

*openvpn-1.4.2 (03 Aug 2003)

  03 Aug 2003; <warpzero@gentoo.org> metadata.xml, openvpn-1.5.0.ebuild:
  version 1.5.0 added
  fixed init script added. Closes several bugs.

*openvpn-1.4.2 (03 Aug 2003)

  03 Aug 2003; <warpzero@gentoo.org> metadata.xml, openvpn-1.4.2.ebuild:
  ~ppc keyword

*openvpn-1.4.2 (03 Aug 2003)

  03 Aug 2003; <warpzero@gentoo.org> metadata.xml, openvpn-1.4.2.ebuild:
  version 1.4.2 added

  06 Dec 2002; Rodney Rees <manson@gentoo.org> : changed sparc ~sparc keywords
 
*openvpn-1.3.2-r1 (20 May 2003)

   20 May 2003; Ryan Phillips <rphillips@gentoo.org> openvpn-1.3.2-r1.ebuild :
   Included init script. Bug #20085 Fixed. Submitted by Warp Zero
 
*openvpn-1.3.2 (31 Jan 2003)

   31 Jan 2003; Ryan Phillips <rphillips@gentoo.org> openvpn-1.3.2 :

   new version. 
 
*openvpn-1.3.1 (15 Jul 2002)

   15 Jul 2002; Ryan Phillips <rphillips@gentoo.org> openvpn-1.3.1 :

   new version. Thanks to Marko Mikulicic

*openvpn-1.1.0 (26 May 2002)

   09 Jul 2002; phoen][x <phoenix@gentoo.org> openvpn-1.1.0.ebuild :
   Added KEYWORDS.

   26 May 2002; Mike Jones <ashmodai@gentoo.org> ChangeLog, openvpn-1.1.0.ebuild:   
   Added initial ChangeLog which should be updated whenever the package is
   updated in any way. This changelog is targetted to users. This means that the
   comments should well explained and written in clean English. The details about
   writing correct changelogs are explained in the skel.ChangeLog file which you
   can find in the root directory of the portage repository.
	   
